Subject: "Orphaning" objects
From: [email-masked]
To: [email-masked]
Date: Tue, 25 Oct 94 22:18:56 PDT

>To contribute to the signal (and not the noise) here's a
>question I've been pondering.  Has anyone come up with an
>effective way to "orphan" an object?
>
>What I mean by this is taking an object that has a parent
>and sometime after the parent has done it's thing with the
>child, divorcing (if I can mix metaphores) that child,
>reverting the child to global coordinates and settings
>current to it's real settings while under the parent's
>influence.  I could imagine great uses for such a function
>(a car loosing its bumper, etc.) and could have used it
>myself in my last project.

	Allen H. told me this would work, but I never tested it:

	Save the object to be orphaned with 'SAVE TRANSFORMED'.
	This will orphan it in the propers space (maybe).  It might
	be more convenient to replace it first with a null object and
	orphan the null object, and parent the psuedo-orphan to that,
	avoiding offset pivot problems.

>
>What would also be interesting is if a another object
>could "adopt" the child and the child continue on with the
>relations of the new parent instead of its global settings.
>

	Probably not worth implementing.

>At first glance the best person to impliment this would be
>AH, but, someone with more time than I have may have come
>up with an AREXX program to do this.  If so, it would be
>interesting to see how it was done.

	I believe the 'SPARKS' people have some macros to do just that.

>
>Christopher Schiller, Computer/Video Integrator

***********************************************************************
*   (OOOOO)  [email-masked]  |  Synergy Graphix & Animation     *
*  (OOOOOOO)  Welcome to Seattle!  |   Film and Video Productions     *
*    \\\\\\    Have a latte'!      |Technical Subjects Our Specialty! *
*     \\\\\\      Or else!         |         (206) 283-3540           *
***********************************************************************